saving uncommitted changes in /etc prior to emerge run

This commit is contained in:
2015-02-27 01:58:55 +01:00
committed by root
commit b3cea8d893
2385 changed files with 507432 additions and 0 deletions

View File

@@ -0,0 +1,54 @@
#!/bin/sh
set -e
if [ "$VCS" = git ]; then
rm -rf .git
file=.gitignore
elif [ "$VCS" = hg ]; then
rm -rf .hg
file=.hgignore
elif [ "$VCS" = bzr ]; then
rm -rf .bzr
file=.bzrignore
elif [ "$VCS" = darcs ]; then
rm -rf _darcs
file=.darcsignore
fi
managed_by_etckeeper="managed by etckeeper"
if ! grep -q "$managed_by_etckeeper" "$file"; then
exit 0
else
realfile="$file"
if which tempfile >/dev/null 2>&1 || type -p tempfile >/dev/null 2>&1; then
tempfile="tempfile"
elif which mktemp >/dev/null 2>&1 || type -p mktemp >/dev/null 2>&1; then
tempfile="mktemp"
else
echo "etckeeper warning: can't find tempfile or mktemp" >&2
exit 1
fi
file=$($tempfile)
otherentries=
skipping=
while read -r line; do
if echo "$line" | grep -q "$managed_by_etckeeper"; then
if [ ! "$skipping" ]; then
skipping=1
else
skipping=
fi
elif [ ! "$skipping" ]; then
echo "$line" >> "$file"
otherentries=1
fi
done <"$realfile"
if [ "$otherentries" ]; then
mv -f "$file" "$realfile"
else
rm -f "$file"
rm -f "$realfile"
fi
fi

20
etckeeper/uninit.d/01prompt Executable file
View File

@@ -0,0 +1,20 @@
#!/bin/sh
set -e
if [ "$1" != "-f" ]; then
echo "** Warning: This will DESTROY all recorded history for $ETCKEEPER_DIR,"
echo "** including the $VCS repository."
echo ""
printf "Are you sure you want to do this? [yN] "
read answer
case "$answer" in
[Yy]*)
echo "Proceeding.."
exit 0
;;
*)
echo "Aborting etckeeper uninit."
exit 1
;;
esac
fi

View File

@@ -0,0 +1,6 @@
#!/bin/sh
set -e
# Files generated by etckeeper to store metadata the VCS cannot preserve.
rm -f .etckeeper
rm -f .metadata # only generated by old versions

54
etckeeper/uninit.d/50vcs-uninit Executable file
View File

@@ -0,0 +1,54 @@
#!/bin/sh
set -e
if [ "$VCS" = git ]; then
rm -rf .git
file=.gitignore
elif [ "$VCS" = hg ]; then
rm -rf .hg
file=.hgignore
elif [ "$VCS" = bzr ]; then
rm -rf .bzr
file=.bzrignore
elif [ "$VCS" = darcs ]; then
rm -rf _darcs
file=.darcsignore
fi
managed_by_etckeeper="managed by etckeeper"
if ! grep -q "$managed_by_etckeeper" "$file"; then
exit 0
else
realfile="$file"
if which tempfile >/dev/null 2>&1 || type -p tempfile >/dev/null 2>&1; then
tempfile="tempfile"
elif which mktemp >/dev/null 2>&1 || type -p mktemp >/dev/null 2>&1; then
tempfile="mktemp"
else
echo "etckeeper warning: can't find tempfile or mktemp" >&2
exit 1
fi
file=$($tempfile)
otherentries=
skipping=
while read line; do
if echo "$line" | grep -q "$managed_by_etckeeper"; then
if [ ! "$skipping" ]; then
skipping=1
else
skipping=
fi
elif [ ! "$skipping" ]; then
echo "$line" >> "$file"
otherentries=1
fi
done <"$realfile"
if [ "$otherentries" ]; then
mv -f "$file" "$realfile"
else
rm -f "$file"
rm -f "$realfile"
fi
fi

View File

@@ -0,0 +1,2 @@
Executable files in this directory are run to uninitialise the working
directory, removing files added by `etckeeper init`.